Subject: Re: bug#5679: Emacs 23.1.93 pretest

From: <[email-masked]>
Date: Wed, 10 Mar 2010 13:05:07 +0300

YAMAMOTO Mitsuharu <[email-masked]> writes:

>>>>>> On Thu, 04 Mar 2010 13:06:35 -0500, Chong Yidong <[email-masked]> said:
>
>> <[email-masked]> writes:
>>> $ emacs -q --no-site-file
>>> - Move cursor to the /ABSOLUTELY NO WARRANTY/ text in the splash
>>> screen
>>> - M-x customize-face <ENTER> <ENTER>
>>> - Change "Font Family:" to "terminus"
>>> - Select "State|Set for Current Session"
>>> - C-x b <ENTER> to return to splash screen, and
>>> 
>>> /ABSOLUTELY NO WARRANTY/ looks like in the attached file.
>
>> Fraid I still can't reproduce this.  One possibility I can think of is
>> that the particular version of terminus you are using is buggy, and
>> reports the right overhang incorrectly.  Strange...
>
> I tried installing the PCF fonts extracted from
> xfonts-terminus-oblique_4.26-2.1_all.deb to ~/.fonts on Mac OS X 10.6.
> The result was:
>
>   1. I could reproduce the above problem on Emacs 23.1.92.
>   2. But I could also reproduce it on Emacs 23.1, unlike OP.

No, I, the OP, can also reproduce it on Emacs 23.1. Here is what I wrote
in the original report:

" Small example screenshots from emacs 22.2.1 (correct rendering) and
  emacs 23.1.93 (wrong rendering) are attached. Please notice how ugly
  "Global Mark Ring" looks when rendered by emacs23.

  NOTE: emacs 23.1.1 also renders wrong."

>   3. `xterm -fa terminus:style=oblique' showed the same problem.
>   4. I also tried my preliminary proof-of-concept cairo port (*)
>      adjusted to Emacs 23.1.91, and it didn't show the problem.  This
>      explains why many GNOME and GTK+ apps don't show the problem with
>      the same fonts.
>
> So, at least for my case, a possible explanation is that it is a
> problem in Xft drawing for some versions or settings.  What's not
> explained is the inconsistency between the result 2 above and OP's
> experience with Emacs 23.1.

Emacs 23.1 behaves slightly different for me, but it still renders
wrong, so there is no inconsistency here.

-- Sergei.